--------------------------------------------------------
--  DDL for Package PKG_REPOSITORY_ACTIONS
--------------------------------------------------------

  CREATE OR REPLACE EDITIONABLE PACKAGE "ENVX_OPER"."PKG_REPOSITORY_ACTIONS" AS
----------------------------------------------------
--------------------- FUNCTIONS --------------------

   --------------------
	FUNCTION f_get_branch (
		p_json_parameters IN CLOB,
		po_message        OUT VARCHAR2
	) RETURN CLOB;
   --------------------
	FUNCTION f_get_filesgroup (
		p_json_parameters IN CLOB,
		po_message        OUT VARCHAR2
	) RETURN CLOB;
   --------------------
	FUNCTION f_get_file (
		p_json_parameters IN CLOB,
		po_message        OUT VARCHAR2
	) RETURN CLOB;
   -----------------------
	FUNCTION f_filesgroup_query (
		pi_filegroup_type   IN VARCHAR2,
		pi_filesgroup_jsonc IN VARCHAR2
	) RETURN CLOB;
   -----------------------
	FUNCTION f_files_query (
		pi_files_jsonc IN VARCHAR2
	) RETURN CLOB;
   -----------------------
	FUNCTION f_branches_query (
		pi_branches_jsonc IN VARCHAR2
	) RETURN CLOB;
	----------------------
	PROCEDURE p_manage_object_form (
		pi_selector     IN VARCHAR2,
		pi_groups       IN VARCHAR2,
		p_selected_list IN OUT CLOB,
		p_selected_obj  IN OUT CLOB
	);
	----------------------
	PROCEDURE p_save_object_form (
		pi_selected_obj         IN CLOB,
		pi_json_parameter       IN CLOB,
		po_message				OUT VARCHAR2
	);

END pkg_repository_actions;

/
